Bug 862855 - Creating a scalable app returns an error message
Creating a scalable app returns an error message
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On: 862840
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 14:44 EDT by Chandrika Gole
Modified: 2015-05-14 22:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.99.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 862840
Environment:
Last Closed: 2012-11-06 13:49:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrika Gole 2012-10-03 14:44:48 EDT
+++ This bug was initially created as a clone of Bug #862840 +++

Description of problem:
Scalable app gets created, but returns an error message

Version-Release number of selected component (if applicable):
fork_ami_US2105_203 (ami-3943fe50)

How reproducible:
always

Steps to Reproduce:
1. Create a scalable app

  
Actual results:
[root@ip-10-99-39-244 ~]# rhc-create-app -a a1 -s -t php-5.3 -l cgole@redhat.com

Password: 

Creating application: a1 in cgoletip
/usr/lib/ruby/gems/1.8/gems/rhc-0.99.3/lib/rhc-common.rb:522:in `create_app': undefined method `uuid' for #<Hash:0x7fc5fdd91cd0> (NoMethodError)
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.99.3/bin/rhc-create-app:229
	from /usr/bin/rhc-create-app:19:in `load'
	from /usr/bin/rhc-create-app:19



Expected results:
No error msg should be returned


Additional info:

Trying to reproduce it
Comment 1 Chandrika Gole 2012-10-03 14:59:14 EDT
**** Also seeing this on rhc 0.99.3 installed on my machine. This is not a fork ami related issue.
Comment 2 Peter Ruan 2012-10-03 15:22:13 EDT
I think J5 has a fixed for this in master already.  This bug might be a duplicate.
Comment 3 Chandrika Gole 2012-10-03 16:19:50 EDT
Tested this against the latest version of master -AMI: devenv_2278 (ami-3713ae5e)
and can still reproduce this
Comment 4 Chandrika Gole 2012-10-03 21:13:09 EDT
Also reproduce this on INT
Comment 5 John (J5) Palmieri 2012-10-04 10:05:25 EDT
This was fixed in 0.99.4.  Are you seeing this issue in that version? Is the traceback the same?
Comment 6 Chandrika Gole 2012-10-04 14:05:23 EDT
verified this devenv_2288 (ami-93dd61fa)
with rhc-0.99.5

Note You need to log in before you can comment on or make changes to this bug.